Loading...
Searching...
No Matches
ISOpMagnitude< OpType > Struct Template Reference

Adapter for vector-valued index-space operators to return the vector magnitude. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename AccessorType>
static double | result (const AccessorType &grid, const Coord &ijk)
template<typename StencilType>
static double | result (const StencilType &stencil)

## Detailed Description

template<typename OpType>
struct openvdb::v10_0::math::ISOpMagnitude< OpType >

Adapter for vector-valued index-space operators to return the vector magnitude.

## Member Function Documentation

## result() [1/2]

template<typename OpType>
template<typename AccessorType>

double result | ( | const AccessorType & | grid,
|  | const Coord & | ijk )

inline static

## result() [2/2]

template<typename OpType>
template<typename StencilType>

double result | ( | const StencilType & | stencil | ) |

inline static